Index: src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision 4992ff2626be19df7de9e5dfc0078b96bf47a75e)
+++ src/sas/qtgui/Perspectives/Fitting/FittingUtilities.py	(revision fde5bcd7ef61030233f0bcfbd1ff0923cdb9a925)
@@ -1,3 +1,3 @@
-from copy import deepcopy
+import copy
 
 from PyQt5 import QtCore
@@ -159,5 +159,5 @@
         model.setHeaderData(i, QtCore.Qt.Horizontal, item)
 
-    model.header_tooltips = model_header_tooltips
+    model.header_tooltips = copy.copy(model_header_tooltips)
 
 def addErrorHeadersToModel(model):
@@ -165,12 +165,12 @@
     Adds predefined headers to the model
     """
-    model_header_error_captions = model_header_captions
+    model_header_error_captions = copy.copy(model_header_captions)
     model_header_error_captions.insert(2, header_error_caption)
     for i, item in enumerate(model_header_error_captions):
         model.setHeaderData(i, QtCore.Qt.Horizontal, item)
 
-    model_header_error_tooltips = model_header_tooltips
+    model_header_error_tooltips = copy.copy(model_header_tooltips)
     model_header_error_tooltips.insert(2, error_tooltip)
-    model.header_tooltips = model_header_error_tooltips
+    model.header_tooltips = copy.copy(model_header_error_tooltips)
 
 def addPolyHeadersToModel(model):
@@ -181,5 +181,5 @@
         model.setHeaderData(i, QtCore.Qt.Horizontal, item)
 
-    model.header_tooltips = poly_header_tooltips
+    model.header_tooltips = copy.copy(poly_header_tooltips)
 
 
@@ -188,12 +188,12 @@
     Adds predefined headers to the model
     """
-    poly_header_error_captions = poly_header_captions
+    poly_header_error_captions = copy.copy(poly_header_captions)
     poly_header_error_captions.insert(2, header_error_caption)
     for i, item in enumerate(poly_header_error_captions):
         model.setHeaderData(i, QtCore.Qt.Horizontal, item)
 
-    poly_header_error_tooltips = poly_header_tooltips
+    poly_header_error_tooltips = copy.copy(poly_header_tooltips)
     poly_header_error_tooltips.insert(2, error_tooltip)
-    model.header_tooltips = poly_header_error_tooltips
+    model.header_tooltips = copy.copy(poly_header_error_tooltips)
 
 def addShellsToModel(parameters, model, index):
@@ -271,5 +271,5 @@
             ## Set consistently w/AbstractFitengine:
             # But this should be corrected later.
-            dy = deepcopy(current_data.dy)
+            dy = copy.deepcopy(current_data.dy)
             dy[dy == 0] = 1
         fn = current_data.y[index]
@@ -369,5 +369,5 @@
     Create Data1D/Data2D with residuals, ready for plotting
     """
-    data_copy = deepcopy(current_data)
+    data_copy = copy.deepcopy(current_data)
     # Get data: data I, theory I, and data dI in order
     method_name = current_data.__class__.__name__
Index: src/sas/qtgui/Perspectives/Fitting/FittingWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision c3eb8580d07c18adae8887b6238dace7905f23e1)
+++ src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision fde5bcd7ef61030233f0bcfbd1ff0923cdb9a925)
@@ -1320,7 +1320,5 @@
 
         # switch off reponse to model change
-        self._model_model.blockSignals(True)
         self._model_model.insertColumn(2, error_column)
-        self._model_model.blockSignals(False)
         FittingUtilities.addErrorHeadersToModel(self._model_model)
         # Adjust the table cells width.
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingUtilitiesTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingUtilitiesTest.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingUtilitiesTest.py	(revision fde5bcd7ef61030233f0bcfbd1ff0923cdb9a925)
@@ -1,5 +1,5 @@
 import sys
 import unittest
-from PyQt5 import QtGui
+from PyQt5 import QtGui, QtCore
 
 from sas.qtgui.Plotting.PlotterData import Data1D
@@ -266,4 +266,24 @@
             chi = FittingUtilities.calculateChi2(reference_data, current_data)
 
+    def notestAddHeadersToModel(self):
+        '''Check to see if headers are correctly applied'''
+        #test model
+        model = QtGui.QStandardItemModel()
+        FittingUtilities.addHeadersToModel(model)
+
+        # Assure we have properly named columns
+        names = FittingUtilities.model_header_captions
+        names_from_model = [model.headerData(i, QtCore.Qt.Horizontal) for i in range(len(names))]
+        self.assertEqual(names, names_from_model)
+
+        # Add another model
+        model2 = QtGui.QStandardItemModel()
+        # Add headers again
+        FittingUtilities.addHeadersToModel(model2)
+        # We still should have only the original names
+        names_from_model2 = [model2.headerData(i, QtCore.Qt.Horizontal) for i in range(len(names))]
+        self.assertEqual(names, names_from_model2)
+
+
 if __name__ == "__main__":
     unittest.main()
Index: src/sas/qtgui/Perspectives/Fitting/ViewDelegate.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/ViewDelegate.py	(revision d6b8a1dfaf6521ae4a9054d5195def2810d6d8bc)
+++ src/sas/qtgui/Perspectives/Fitting/ViewDelegate.py	(revision fde5bcd7ef61030233f0bcfbd1ff0923cdb9a925)
@@ -84,5 +84,5 @@
             editor.setValidator(validator)
             return editor
-        if index.column() in [self.param_property, self.param_error]:
+        if index.column() in [self.param_property, self.param_error, self.param_unit]:
             # Set some columns uneditable
             return None
